JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SidePanel::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » layout

This abstract base class is implemented by LookAndFeel classes to provide SidePanel drawing functionality. More...

`#include <juce_SidePanel.h>`

Inheritance diagram for SidePanel::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual Font | getSidePanelTitleFont (SidePanel &)=0
virtual Justification | getSidePanelTitleJustification (SidePanel &)=0
virtual Path | getSidePanelDismissButtonShape (SidePanel &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide SidePanel drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual SidePanel::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getSidePanelTitleFont()

virtual Font SidePanel::LookAndFeelMethods::getSidePanelTitleFont | ( | SidePanel & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSidePanelTitleJustification()

virtual Justification SidePanel::LookAndFeelMethods::getSidePanelTitleJustification | ( | SidePanel & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSidePanelDismissButtonShape()

virtual Path SidePanel::LookAndFeelMethods::getSidePanelDismissButtonShape | ( | SidePanel & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_SidePanel.h